      subroutine isec2hms(isec,ih,im,is)
      implicit none
      integer,intent(in) :: isec
      integer,intent(out) :: ih,im,is
      integer :: nsec
c
c Given integer seconds isec (not including days), return
c integer hour, minute, seconds in ih,im,is:
c
      ih = isec/3600
      nsec = mod(isec,3600)
      im = nsec/60
      is = mod(nsec,60)
      return
      end
c
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
